configuration folder does not respect FHS

Bug #621923 reported by lameire on 2010-08-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pastebinit
Undecided
Unassigned
pastebinit (Ubuntu)
Low
Rolf Leggewie

Bug Description

Hello,

I'm a long-time use og pastebinit under Fedora, and I would like to package this program for this distribution. Here is the link to the review:
   https://bugzilla.redhat.com/show_bug.cgi?id=620181
As described in this link, the reviewer mentionned that the configuration folder /etc/pastebin.d/ does not respect the FHS. Indeed the conf. files are not intended to be modified so they should better go in /usr/share/ (/usr/share/pastebinit/ for example).

Regards,

Alexis.

Stéphane Graber (stgraber) wrote :

Actually, I think there's need for both.
Having the possibility to put stuff in /etc/pastebin.d/ still makes sense for local pastebins (company internal ones) and add support for yet unsupported upstream ones.

Though I agree that the code should be updated to look in both /usr/share/pastebin.d/ and /etc/pastebin.d/. In case a definition is in both, it should prioritize the one in /etc/pastebin.d/

Stéphane Graber (stgraber) wrote :

Support for /usr/share/pastebin.d has been added in revision 84.
=== modified file 'pastebinit'
--- pastebinit 2010-12-10 15:46:59 +0000
+++ pastebinit 2011-01-09 18:27:41 +0000
@@ -39,7 +39,7 @@
         # - for source checkout, config in the checkout
         # - user's overrides in ~/.pastebin.d
         # Files found later override files found earlier.
- for confdir in ['/etc/pastebin.d',
+ for confdir in ['/usr/share/pastebin.d','/etc/pastebin.d',
                         os.path.join(os.path.dirname(__file__), 'pastebin.d'),
                         os.path.expanduser('~/.pastebin.d')]:
             try:

Changed in pastebinit:
status: New → Fix Committed
Rolf Leggewie (r0lf) wrote :

opening Ubuntu task and assigning to myself to work on the packaging. IOW, move out the pastebin definitions we ship from /etc to /usr.

Changed in pastebinit (Ubuntu):
assignee: nobody → Rolf Leggewie (r0lf)
status: New → Triaged
Rolf Leggewie (r0lf) on 2011-01-09
Changed in pastebinit (Ubuntu):
importance: Undecided → Low
milestone: none → ubuntu-11.04-beta
Rolf Leggewie (r0lf) wrote :

I've made the necessary packaging commit locally

Changed in pastebinit (Ubuntu):
status: Triaged → Fix Committed
Changed in pastebinit:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 1.2-2

---------------
pastebinit (1.2-2) experimental; urgency=low

  * new upstream release
    - drop all current patches as they have been pushed upstream
    - lots of fixed bugs:
      + document -f FORMAT option. LP: #614873, Closes: #562827
      + document the config file and its format. LP: #435303, Closes #574661
      + add support for paste.kde.org. LP: #700644, Closes: #608264
      + honor pastebin definitions from ~/.pastebin.d/. LP: #701039
  * install pastebin definitions to /usr/share/ instead of /etc. LP: #621923
  * ship upstream README file in package
  * debian/copyright: update my copyright
 -- Rolf Leggewie <email address hidden> Thu, 03 Feb 2011 15:24:39 +0000

Changed in pastebinit (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers